Xbit
  1. Withdraw
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Withdraw

Calculate cryptocurrency withdrawal amounts

POST
https://newsupport.xbit.pro/api/v1/withdraw/calculate-crypto
Withdraw
Calculate cryptocurrency withdrawal amounts including fees. You can provide either amountInCents (to calculate how much crypto you will receive) or cryptoAmount (to calculate how much fiat is needed), but NOT both. The calculation includes all applicable fees and exchange rates.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Returns calculated crypto withdrawal amounts
Body

🟠400
🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/withdraw/calculate-crypto' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "amountInCents": 100000,
    "cryptoCurrencyType": "btc",
    "currency": "UAH"
}'
Response Response Example
200 - Example 1
{
    "type": "btc",
    "currency": "UAH",
    "amountInCents": 992300,
    "cryptoAmount": 0.12
}
Previous
Get minimum cryptocurrency withdrawal amounts
Next
Calculate fiat withdrawal commission
Built with